## kmetronome 0.10.0

=== CMakeLists.txt ===
# KMetronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

PROJECT(KMETRONOME)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
SET(CMAKE_USE_RELATIVE_PATHS OFF)
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")

SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "10")
SET (VERSION_PATCH "0")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
ADD_DEFINITIONS(-D'VERSION="${VERSION}"')

OPTION(ENABLE_PCH "Enable precompiled headers" OFF)
OPTION(STATIC_DRUMSTICK "Build drumstick static library" OFF)

FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE_DIRECTORIES(${QT_INCLUDES} ${KDE4_INCLUDES})
STRING(REPLACE "-fno-exceptions" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
SET(LIB "lib${LIB_SUFFIX}")
SEPARATE_ARGUMENTS(KDE4_DEFINITIONS)
SEPARATE_ARGUMENTS(QT_DEFINITIONS)
ADD_DEFINITIONS(${KDE4_DEFINITIONS})
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_STRICT_ITERATORS)

MESSAGE(STATUS "Build configuration: ${CMAKE_BUILD_TYPE}")

FIND_PACKAGE(MSGFMT REQUIRED)
IF(MSGFMT_FOUND)
    MESSAGE(STATUS "Program msgfmt found (${MSGFMT_EXECUTABLE})")
ELSE(MSGFMT_FOUND)
    MESSAGE(FATAL_ERROR "Please install the program msgfmt (gettext)")
ENDIF(MSGFMT_FOUND)

FIND_PACKAGE(PkgConfig REQUIRED)
IF(PKG_CONFIG_FOUND)
    MESSAGE(STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
ELSE(PKG_CONFIG_FOUND)
    MESSAGE(FATAL_ERROR "Please install pkg-config")
ENDIF(PKG_CONFIG_FOUND)

SET(HAVE_ALSA FALSE)
PKG_CHECK_MODULES(ALSA REQUIRED alsa>=1.0)
IF(ALSA_FOUND)
    SET(HAVE_ALSA TRUE)
    ADD_DEFINITIONS(-DHAVE_ALSA)
    SET(ALSA_LIBS ${ALSA_LIBRARIES})
    #MESSAGE("ALSA_LIBS: ${ALSA_LIBS}")
    LIST(APPEND ALSA_LIB_DIR ${ALSA_LIBRARY_DIRS} ${ALSA_LIBDIR} )
    #MESSAGE("ALSA_LIB_DIR: ${ALSA_LIB_DIR}")
    LIST(APPEND ALSA_INC_DIR ${ALSA_INCLUDE_DIRS} ${ALSA_INCLUDEDIR})
    #MESSAGE("ALSA_INC_DIR: ${ALSA_INC_DIR}")
ELSE(ALSA_FOUND)
    MESSAGE(FATAL_ERROR "Please install ALSA library and headers (libasound2)")
ENDIF(ALSA_FOUND)

# DRUMSTICK LIBRARY BUILD TYPE
IF(STATIC_DRUMSTICK)
    SET(BUILD_SHARED_LIBS OFF)
    SET(DRUMSTICK_LIBS drumstick-alsa)
    SET(DRUMSTICK_LIB_DIR ${KMETRONOME_BINARY_DIR})
    SET(DRUMSTICK_INC_DIR ${KMETRONOME_SOURCE_DIR}/drumstick/include)
    ADD_SUBDIRECTORY(drumstick)
ELSE(STATIC_DRUMSTICK)
    SET(BUILD_SHARED_LIBS ON)
    PKG_CHECK_MODULES(DRUMSTICK REQUIRED drumstick-alsa>=0.3)
    IF(DRUMSTICK_FOUND)
       SET(DRUMSTICK_LIBS ${DRUMSTICK_LIBRARIES})
       #MESSAGE(STATUS "DRUMSTICK_LIBS: ${DRUMSTICK_LIBS}")
       LIST(APPEND DRUMSTICK_LIB_DIR ${DRUMSTICK_LIBRARY_DIRS} ${DRUMSTICK_LIBDIR} )
       #MESSAGE(STATUS "DRUMSTICK_LIB_DIR: ${DRUMSTICK_LIB_DIR}")
       LIST(APPEND DRUMSTICK_INC_DIR ${DRUMSTICK_INCLUDE_DIRS} ${DRUMSTICK_INCLUDEDIR})
       #MESSAGE(STATUS "DRUMSTICK_INC_DIR: ${DRUMSTICK_INC_DIR}")
    ELSE(DRUMSTICK_FOUND)
       MESSAGE(FATAL_ERROR "Please install drumstick libraries and headers (libdrumstick-alsa)")
    ENDIF(DRUMSTICK_FOUND)
ENDIF(STATIC_DRUMSTICK)

SET(USE_PCH FALSE)
IF(ENABLE_PCH)
    FIND_PACKAGE(PCHSupport)
    IF(PCHSupport_FOUND)
        SET(USE_PCH TRUE)
        MESSAGE(STATUS "Enabling precompiled headers for GCC ${gcc_compiler_version}") 
    ENDIF(PCHSupport_FOUND)
ENDIF(ENABLE_PCH)

MESSAGE(STATUS "kmetronome ${VERSION} install prefix: ${CMAKE_INSTALL_PREFIX}")

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(data)

INCLUDE(DBusMacros)
dbus_add_activation_service(net.sourceforge.kmetronome.service.in)

CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/kmetronome.spec.in"
    "${CMAKE_SOURCE_DIR}/kmetronome.spec"
    IMMEDIATE @ONLY)

CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

ADD_CUSTOM_TARGET ( tarball
    COMMAND mkdir -p kmetronome-${VERSION}
    COMMAND cp -r cmake_admin kmetronome-${VERSION}
    COMMAND cp -r data kmetronome-${VERSION}
    COMMAND cp -r doc kmetronome-${VERSION}
    COMMAND cp -r icons kmetronome-${VERSION}
    COMMAND cp -r po kmetronome-${VERSION}
    COMMAND cp -r src kmetronome-${VERSION}
    COMMAND cp -rHL drumstick kmetronome-${VERSION}
    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* COPYING INSTALL kmetronome.* net.sourceforge.kmetronome.* NEWS README TODO kmetronome-${VERSION}
    COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ -f kmetronome-${VERSION}.tar.bz2 kmetronome-${VERSION}
    COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ -f kmetronome-${VERSION}.tar.gz kmetronome-${VERSION}
    COMMAND rm -rf kmetronome-${VERSION}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

INSTALL( FILES kmetronome.desktop
         DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== drumstick/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/include
)

# drumstick-alsa library

SET(drumstick-alsa_QTOBJ_SRCS
    include/alsaclient.h
    include/alsaevent.h
    include/alsaport.h
    include/alsaqueue.h
    include/alsatimer.h
    include/playthread.h
)

SET(drumstick-alsa_HEADERS
    include/alsaclient.h
    include/alsaevent.h
    include/alsaport.h
    include/alsaqueue.h
    include/alsatimer.h
    include/drumstickcommon.h
    include/playthread.h
    include/subscription.h
)

SET(drumstick-alsa_SRCS
    src/alsaclient.cpp
    src/alsaevent.cpp
    src/alsaport.cpp
    src/alsaqueue.cpp
    src/alsatimer.cpp
    src/playthread.cpp
    src/subscription.cpp
)

QT4_WRAP_CPP(drumstick-alsa_MOC_SRCS ${drumstick-alsa_QTOBJ_SRCS})
   
ADD_LIBRARY(drumstick-alsa 
    ${drumstick-alsa_MOC_SRCS}
    ${drumstick-alsa_SRCS} 
    ${drumstick-alsa_HEADERS} 
)

SET_TARGET_PROPERTIES(drumstick-alsa PROPERTIES COMPILE_FLAGS -fPIC)
    
TARGET_LINK_LIBRARIES(drumstick-alsa
    ${QT_LIBRARIES}
    ${ALSA_LIBS}
)

=== po/CMakeLists.txt ===
# KMetronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

FILE (GLOB PO_FILES *.po)
ADD_TRANSLATIONS (kmetronome ${PO_FILES})

=== debian/changelog ===
kmetronome (0.10.0-3) unstable; urgency=low

  * Apply kubuntu_01_docbook_fix.diff on Debian too (Closes: #628315).
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 29 May 2011 10:19:36 +0200

kmetronome (0.10.0-2) unstable; urgency=medium

  * Strip RPATH from the binary 'kmetronome'. Bump severity to medium.
  * Incorporate Kubuntu-specific patch, it gets applied on *buntu only.
  * debian/control:
    - DH's overrides need versioned build-dependency >= 7.0.50~
    - Sort build-dependencies.
  * Add .gitignore file to skip .pc directory.

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Apr 2011 23:38:16 +0200

kmetronome (0.10.0-1) unstable; urgency=low

  * Initial release (Closes: #595497)

 -- Arnout Engelen <arnouten@bzzt.net>  Sat, 04 Sep 2010 17:14:13 +0200

=== debian/control ===
Source: kmetronome
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Arnout Engelen <arnouten@bzzt.net>
Build-Depends: chrpath,
 cmake,
 debhelper (>= 7.0.50~),
 kdelibs5-dev,
 libasound2-dev,
 libdrumstick-dev,
 pkg-config
Standards-Version: 3.9.2
Homepage: http://kmetronome.sourceforge.net/kmetronome.shtml
Vcs-Git: git://git.debian.org/pkg-multimedia/kmetronome.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/kmetronome.git

Package: kmetronome
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: ALSA MIDI Metronome
 KMetronome is a MIDI based metronome using the ALSA sequencer.
 .
 The intended audience are musicians and music students. Like the solid, real 
 metronomes it is a tool to keep the rhythm while playing musical instruments.
 .
 It uses MIDI for sound generation instead of digital audio, allowing low CPU 
 usage and very accurate timing thanks to the ALSA sequencer

## kmetronome 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2012 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -24,7 +24,7 @@
 
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "10")
-SET (VERSION_PATCH "0")
+SET (VERSION_PATCH "1")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 ADD_DEFINITIONS(-D'VERSION="${VERSION}"')
@@ -84,7 +84,7 @@
     ADD_SUBDIRECTORY(drumstick)
 ELSE(STATIC_DRUMSTICK)
     SET(BUILD_SHARED_LIBS ON)
-    PKG_CHECK_MODULES(DRUMSTICK REQUIRED drumstick-alsa>=0.3)
+    PKG_CHECK_MODULES(DRUMSTICK REQUIRED drumstick-alsa>=0.5)
     IF(DRUMSTICK_FOUND)
        SET(DRUMSTICK_LIBS ${DRUMSTICK_LIBRARIES})
        #MESSAGE(STATUS "DRUMSTICK_LIBS: ${DRUMSTICK_LIBS}")
@@ -137,7 +137,7 @@
     COMMAND cp -r icons kmetronome-${VERSION}
     COMMAND cp -r po kmetronome-${VERSION}
     COMMAND cp -r src kmetronome-${VERSION}
-    COMMAND cp -rHL drumstick kmetronome-${VERSION}
+    #COMMAND cp -rHL drumstick kmetronome-${VERSION}
     COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* COPYING INSTALL kmetronome.* net.sourceforge.kmetronome.* NEWS README TODO kmetronome-${VERSION}
     COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ -f kmetronome-${VERSION}.tar.bz2 kmetronome-${VERSION}
     COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ -f kmetronome-${VERSION}.tar.gz kmetronome-${VERSION}

=== data/CMakeLists.txt ===
FILE( GLOB SAMPLES *.pat )
INSTALL( FILES drums.ins ${SAMPLES} 
         DESTINATION ${DATA_INSTALL_DIR}/kmetronome )

=== doc/CMakeLists.txt ===
# KMetronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2012 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmetronome )

kde4_create_manpage( man-kmetronome.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2012 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== src/CMakeLists.txt ===
# KMetronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2012 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

IF(NOT KMETRONOME_SOURCE_DIR)
    MESSAGE(FATAL_ERROR "You need to run cmake or ccmake at the root directory")
ENDIF(NOT KMETRONOME_SOURCE_DIR)

IF(USE_PCH)
    ADD_PRECOMPILED_HEADER(precompiled_headers qt_kde.h)
ENDIF(USE_PCH)

INCLUDE_DIRECTORIES(
    ${ALSA_INC_DIR}
    ${DRUMSTICK_INC_DIR}
)

LINK_DIRECTORIES(
    ${ALSA_LIB_DIR}
    ${DRUMSTICK_LIB_DIR}
)

SET(kmetronome_SRCS 
    classicstyle.h
    classicstyle.cpp
    defs.h
    drumgrid.h
    drumgrid.cpp
    drumgridmodel.h
    drumgridmodel.cpp
    instrument.h
    instrument.cpp
    knob.h
    knob.cpp
    kmetronome.h
    kmetronome.cpp
    kmetronomeview.h
    kmetronomeview.cpp
    kmetropreferences.h
    kmetropreferences.cpp
    main.cpp
    qt_kde.h
    sequenceradapter.h
    sequenceradapter.cpp 
)

SET(kmetronome_UI 
    drumgrid.ui
    kmetronomeviewbase.ui
    kmetropreferencesbase.ui )
	
QT4_ADD_RESOURCES(kmetronome_SRCS kmetronome.qrc)
KDE4_ADD_UI_FILES(kmetronome_SRCS ${kmetronome_UI})
QT4_ADD_DBUS_ADAPTOR(kmetronome_SRCS 
                     net.sourceforge.kmetronome.xml
                     kmetronome.h KMetronome)
KDE4_ADD_EXECUTABLE(kmetronome ${kmetronome_SRCS})

IF(USE_PCH)
    ADD_DEPENDENCIES(kmetronome precompiled_headers)
ENDIF(USE_PCH)

TARGET_LINK_LIBRARIES(kmetronome
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KFILE_LIBS} 
    ${ALSA_LIBS}
    ${DRUMSTICK_LIBS}
)

# Install targets
INSTALL( TARGETS kmetronome
         RUNTIME DESTINATION ${BIN_INSTALL_DIR})

INSTALL( FILES net.sourceforge.kmetronome.xml 
         DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

INSTALL( FILES kmetronomeui.rc 
         DESTINATION ${DATA_INSTALL_DIR}/kmetronome )

=== debian/changelog ===
kmetronome (0.10.1-2) unstable; urgency=medium

  * Team upload.
  * Remove uninstall target from CMakeLists.txt, fixing FTBFS. (Closes: #802081)
  * Use debhelper compat 9 to ensure build flags are passed correctly.
  * Fix helper-templates-in-copyright lintian error.
  * Use canonical Vcs URLs.
  * Remove menu file per tech-ctte decision.
  * Bump standards to 3.9.8.

 -- James Cowgill <jcowgill@debian.org>  Sun, 24 Jul 2016 13:26:08 +0100

kmetronome (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * Remove kubuntu_01_docbook_fix.diff, applied upstream.
  * Remove quilt series, no patches remaining.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jun 2012 12:27:33 +0200

=== debian/control ===
Source: kmetronome
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Arnout Engelen <arnouten@bzzt.net>
Build-Depends:
 chrpath,
 cmake,
 debhelper (>= 9),
 kdelibs5-dev,
 libasound2-dev,
 libdrumstick-dev,
 pkg-config
Standards-Version: 3.9.8
Homepage: http://kmetronome.sourceforge.net/kmetronome.shtml
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kmetronome.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kmetronome.git

Package: kmetronome
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: ALSA MIDI Metronome
 KMetronome is a MIDI based metronome using the ALSA sequencer.
 .
 The intended audience are musicians and music students. Like the solid, real
 metronomes it is a tool to keep the rhythm while playing musical instruments.
 .
 It uses MIDI for sound generation instead of digital audio, allowing low CPU
 usage and very accurate timing thanks to the ALSA sequencer

=== debian/watch ===
# watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# find new files on sourceforge, for devscripts >= 2.9
http://sf.net/kmetronome/kmetronome-(.*)\.tar\.gz

## kmetronome 1.0.0

=== CMakeLists.txt ===
# Drumstick Metronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2014 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

cmake_minimum_required(VERSION 2.8.11)

project(kmetronome)

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")

set(VERSION_MAJOR "1")
set(VERSION_MINOR "0")
set(VERSION_PATCH "0")
set(VERSION_SUFFIX "")
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
add_definitions(-DVERSION=${VERSION})

# User options
message (STATUS "Build configuration: ${CMAKE_BUILD_TYPE}")

# Check for Qt
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5LinguistTools REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")

find_package(PkgConfig REQUIRED)
if(PKG_CONFIG_FOUND)
    message(STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
else()
    message(FATAL_ERROR "Program pkg-config not found")
endif()

pkg_check_modules(DRUMSTICK REQUIRED drumstick-alsa>=1.0.0)
if(DRUMSTICK_FOUND)
    link_directories(${DRUMSTICK_LIBDIR})
    include_directories(${DRUMSTICK_INCLUDEDIR})
    #link_libraries(${DRUMSTICK_LIBRARIES})
else()
    message(FATAL_ERROR "Please install drumstick libraries and headers (package drumstick-devel)")
endif()

pkg_check_modules(ALSA REQUIRED alsa>=1.0)
if(ALSA_FOUND)
    link_directories(${ALSA_LIBDIR})
    include_directories(${ALSA_INCLUDEDIR})
    #link_libraries(${ALSA_LIBRARIES})
else()
    message(FATAL_ERROR "Please install ALSA library and headers (libasound2)")
endif()

message(STATUS "kmetronome ${VERSION} install prefix: ${CMAKE_INSTALL_PREFIX}")

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(translations)
add_subdirectory(doc)
add_subdirectory(data)

INCLUDE(DBusMacros)
dbus_add_activation_service(net.sourceforge.kmetronome.service.in)

configure_file("${CMAKE_SOURCE_DIR}/kmetronome.spec.in"
    "${CMAKE_SOURCE_DIR}/kmetronome.spec"
    IMMEDIATE @ONLY)

configure_file(
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_custom_target ( tarball
    COMMAND mkdir -p kmetronome-${VERSION}
    COMMAND cp -r cmake_admin kmetronome-${VERSION}
    COMMAND cp -r data kmetronome-${VERSION}
    COMMAND cp -r doc kmetronome-${VERSION}
    COMMAND cp -r icons kmetronome-${VERSION}
    COMMAND cp -r translations kmetronome-${VERSION}
    COMMAND cp -r src kmetronome-${VERSION}
    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* COPYING INSTALL kmetronome.* net.sourceforge.kmetronome.* NEWS README TODO kmetronome-${VERSION}
    COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ --exclude *.user -f kmetronome-${VERSION}.tar.bz2 kmetronome-${VERSION}
    COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ --exclude *.user -f kmetronome-${VERSION}.tar.gz kmetronome-${VERSION}
    COMMAND rm -rf kmetronome-${VERSION}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

install( FILES kmetronome.desktop
         DESTINATION share/applications )

=== debian/changelog ===
kmetronome (1.0.0-2) experimental; urgency=medium

  * Team upload.

  [ Sebastian Ramacher ]

  [ Ross Gammon ]
  * desktop.patch applied upstream
  * Add missing copyright attribution

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - B-D on qttools5-dev. (Closes: #883834)
  * debian/: Bump debelper compat to 11.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Dec 2018 13:23:33 +0100

kmetronome (1.0.0-1) experimental; urgency=medium

  * New upstream release
  * Add myself to uploaders
  * Switch to QT5 & latest libdrumstick dependencies
  * Redo debian/copyright file in machine readable format
  * Drop remove-uninstall-target.patch, now builds without it
  * Patch desktop file to add keywords & drop encoding entries
  * Enable all hardening options

 -- Ross Gammon <rosco2@ubuntu.com>  Fri, 02 Sep 2016 22:31:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: kmetronome
 Section: sound
-Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Arnout Engelen <arnouten@bzzt.net>
+ Arnout Engelen <arnouten@bzzt.net>,
+ Ross Gammon <rosco2@ubuntu.com>
 Build-Depends:
  chrpath,
  cmake,
- debhelper (>= 9),
- kdelibs5-dev,
+ debhelper (>= 11),
+ qtbase5-dev,
+ libqt5svg5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
  libasound2-dev,
- libdrumstick-dev,
+ libdrumstick-dev (>= 1.0.2),
  pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://kmetronome.sourceforge.net/kmetronome.shtml
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kmetronome.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kmetronome.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
 
 Package: kmetronome
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	chrpath -d $(CURDIR)/debian/kmetronome/usr/bin/kmetronome

## kmetronome 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,16 +16,18 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.1)
 
 project(kmetronome)
 
 set(CMAKE_USE_RELATIVE_PATHS OFF)
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED Yes)
 
 set(VERSION_MAJOR "1")
 set(VERSION_MINOR "0")
-set(VERSION_PATCH "0")
+set(VERSION_PATCH "1")
 set(VERSION_SUFFIX "")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 add_definitions(-DVERSION=${VERSION})
@@ -96,9 +98,9 @@
     COMMAND cp -r icons kmetronome-${VERSION}
     COMMAND cp -r translations kmetronome-${VERSION}
     COMMAND cp -r src kmetronome-${VERSION}
-    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* COPYING INSTALL kmetronome.* net.sourceforge.kmetronome.* NEWS README TODO kmetronome-${VERSION}
-    COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ --exclude *.user -f kmetronome-${VERSION}.tar.bz2 kmetronome-${VERSION}
-    COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ --exclude *.user -f kmetronome-${VERSION}.tar.gz kmetronome-${VERSION}
+    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* COPYING INSTALL kmetronome.{desktop,lsm,pro,spec,spec.in} net.sourceforge.kmetronome.service.in NEWS README TODO kmetronome-${VERSION}
+    COMMAND tar -cj -f kmetronome-${VERSION}.tar.bz2 kmetronome-${VERSION}
+    COMMAND tar -cz -f kmetronome-${VERSION}.tar.gz kmetronome-${VERSION}
     COMMAND rm -rf kmetronome-${VERSION}
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
 )

=== data/CMakeLists.txt ===
INSTALL( FILES drums.ins samples.pat
         DESTINATION share/kmetronome )

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2012 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2014 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,6 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmetronome )
-
-kde4_create_manpage( man-kmetronome.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
+install(FILES kmetronome.1 
+	DESTINATION share/man/man1)
+install(FILES kmetronome.html kmetronome_1.png kmetronome_2.png kmetronome_3.png
+	DESTINATION share/kmetronome)

=== icons/CMakeLists.txt ===
install (FILES kmetronome_16x16.png
         DESTINATION share/icons/hicolor/16x16/apps
         RENAME kmetronome.png)

install (FILES kmetronome_24x24.png
         DESTINATION share/icons/hicolor/24x24/apps
         RENAME kmetronome.png)

install (FILES kmetronome_32x32.png
         DESTINATION share/icons/hicolor/32x32/apps
         RENAME kmetronome.png)

install (FILES kmetronome_48x48.png
         DESTINATION share/icons/hicolor/48x48/apps
         RENAME kmetronome.png)

install (FILES kmetronome_64x64.png
         DESTINATION share/icons/hicolor/64x64/apps
         RENAME kmetronome.png)

install (FILES kmetronome_128x128.png
         DESTINATION share/icons/hicolor/128x128/apps
         RENAME kmetronome.png)

install (FILES kmetronome.svgz
         DESTINATION share/icons/hicolor/scalable/apps )

=== src/CMakeLists.txt ===
# KMetronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2014 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

set(kmetronome_qtobject_SRCS
    about.h
    drumgrid.h
    drumgridmodel.h
    kmetronome.h
    kmetropreferences.h
    lcdnumberview.h
    sequenceradapter.h )

set(kmetronome_SRCS 
    defs.h
    about.h
    about.cpp
    drumgrid.h
    drumgrid.cpp
    drumgridmodel.h
    drumgridmodel.cpp
    instrument.h
    instrument.cpp
    kmetronome.h
    kmetronome.cpp
    kmetropreferences.h
    kmetropreferences.cpp
    lcdnumberview.h
    lcdnumberview.cpp
    main.cpp
    sequenceradapter.h
    sequenceradapter.cpp )

set(kmetronome_UI
    about.ui
    drumgrid.ui
    kmetronome.ui
    kmetropreferencesbase.ui )

qt5_wrap_ui( kmetronome_SRCS ${kmetronome_UI} )
qt5_wrap_cpp( kmetronome_moc_SRCS ${kmetronome_qtobject_SRCS} )
qt5_add_resources( kmetronome_SRCS kmetronome.qrc lcdnumbers.qrc)
qt5_add_dbus_adaptor( kmetronome_SRCS 
                      net.sourceforge.kmetronome.xml
                      kmetronome.h 
                      KMetronome 
                      kmetronome_adaptor )

add_executable( kmetronome ${kmetronome_SRCS} ${kmetronome_moc_SRCS} )

target_link_libraries( kmetronome
    Qt5::Widgets
    Qt5::DBus
    Qt5::Svg
    ${DRUMSTICK_LIBRARIES}
    ${ALSA_LIBRARIES}
)

# Install targets
install( TARGETS kmetronome
         RUNTIME DESTINATION bin )

install( FILES net.sourceforge.kmetronome.xml 
         DESTINATION share/dbus-1/interfaces )

=== translations/CMakeLists.txt ===
SET( TRANSLATIONS_FILES
     cs.ts
     de.ts
     es.ts
     fr.ts
     tr.ts )

QT5_ADD_TRANSLATION(QM_FILES ${TRANSLATIONS_FILES})
ADD_CUSTOM_TARGET(translations ALL DEPENDS ${QM_FILES})

INSTALL( FILES ${QM_FILES}
         DESTINATION share/kmetronome/locale )

=== debian/changelog ===
kmetronome (1.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * Bump Standards-Version to 4.4.1

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/patches: Remove, no longer needed
  * debian/rules: Remove unnecessary override

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Nov 2019 16:48:26 +0100

kmetronome (1.0.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * Upload to unstable.
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 22 Aug 2019 18:25:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  chrpath,
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  qtbase5-dev,
  libqt5svg5-dev,
  qttools5-dev,
@@ -17,7 +17,7 @@
  libasound2-dev,
  libdrumstick-dev (>= 1.0.2),
  pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://kmetronome.sourceforge.net/kmetronome.shtml
 Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome

=== debian/watch ===
# watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# find new files on sourceforge, for devscripts >= 2.9
https://sf.net/kmetronome/kmetronome-(.*)\.tar\.gz

## kmetronome 1.2.0

=== CMakeLists.txt ===
# Drumstick Metronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2020 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.9)

project(kmetronome
        VERSION 1.2.0
        DESCRIPTION "ALSA Sequencer based MIDI metronome"
        LANGUAGES CXX
)

option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED Yes)

find_package(Qt5 5.12 COMPONENTS Widgets DBus Svg LinguistTools REQUIRED)
if(Qt5_FOUND)
    message(STATUS "Found Qt5 version: ${Qt5Core_VERSION_STRING}")
endif()

find_package(Drumstick 2.0 COMPONENTS ALSA REQUIRED)
if(Drumstick_FOUND)
    message(STATUS "Found Drumstick version: ${Drumstick_VERSION}")
endif()

message (STATUS "${PROJECT_NAME} v${PROJECT_VERSION}
    install prefix: ${CMAKE_INSTALL_PREFIX}
    Build configuration: ${CMAKE_BUILD_TYPE}
    Processor: ${CMAKE_SYSTEM_PROCESSOR}
    Qt5: ${Qt5_VERSION}
    Drumstick: ${Drumstick_VERSION}
    Embed translations: ${EMBED_TRANSLATIONS}")

include(GNUInstallDirs)

if(CMAKE_CXX_COMPILER_ID MATCHES "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "AppleClang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant -Wsuggest-override")
endif()

add_subdirectory(icons)
if(NOT EMBED_TRANSLATIONS)
    add_subdirectory(translations)
endif()
add_subdirectory(doc)
add_subdirectory(data)
add_subdirectory(src)

include(DBusMacros)
dbus_add_activation_service(net.sourceforge.kmetronome.service.in)

configure_file("${CMAKE_SOURCE_DIR}/kmetronome.spec.in"
    "${CMAKE_SOURCE_DIR}/kmetronome.spec"
    IMMEDIATE @ONLY)

configure_file(
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_custom_target ( tarball
    COMMAND mkdir -p kmetronome-${PROJECT_VERSION}
    COMMAND cp -r cmake_admin kmetronome-${PROJECT_VERSION}
    COMMAND cp -r data kmetronome-${PROJECT_VERSION}
    COMMAND cp -r doc kmetronome-${PROJECT_VERSION}
    COMMAND cp -r icons kmetronome-${PROJECT_VERSION}
    COMMAND cp -r translations kmetronome-${PROJECT_VERSION}
    COMMAND cp -r src kmetronome-${PROJECT_VERSION}
    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* COPYING INSTALL kmetronome.{desktop,lsm,pro,spec,spec.in} net.sourceforge.kmetronome.service.in NEWS README TODO kmetronome-${PROJECT_VERSION}
    COMMAND tar -cj -f kmetronome-${PROJECT_VERSION}.tar.bz2 kmetronome-${PROJECT_VERSION}
    COMMAND tar -cz -f kmetronome-${PROJECT_VERSION}.tar.gz kmetronome-${PROJECT_VERSION}
    COMMAND rm -rf kmetronome-${PROJECT_VERSION}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

install( FILES kmetronome.desktop
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications )

=== doc/CMakeLists.txt ===
# KMetronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2020 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

install( FILES kmetronome.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

install( FILES kmetronome.html kmetronome_1.png kmetronome_2.png kmetronome_3.png
    DESTINATION ${CMAKE_INSTALL_DOCDIR} )

=== icons/CMakeLists.txt ===
install (FILES kmetronome_16x16.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps
         RENAME kmetronome.png)

install (FILES kmetronome_24x24.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/apps
         RENAME kmetronome.png)

install (FILES kmetronome_32x32.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
         RENAME kmetronome.png)

install (FILES kmetronome_48x48.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps
         RENAME kmetronome.png)

install (FILES kmetronome_64x64.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
         RENAME kmetronome.png)

install (FILES kmetronome_128x128.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps
         RENAME kmetronome.png)

install (FILES kmetronome.svgz
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps )

=== src/CMakeLists.txt ===
# KMetronome - ALSA Sequencer based MIDI metronome
# Copyright (C) 2005-2020 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(EMBED_TRANSLATIONS)
    set( TRANSLATIONS
         ../translations/kmetronome_cs.ts
         ../translations/kmetronome_de.ts
         ../translations/kmetronome_es.ts
         ../translations/kmetronome_fr.ts
         ../translations/kmetronome_tr.ts
    )
    qt5_add_translation(QM_FILES ${TRANSLATIONS})
    include(TranslationUtils)
    add_app_translations_resource(APP_RES ${QM_FILES})
    add_qt_translations_resource(QT_RES cs de es fr tr)
endif()

set(kmetronome_SRCS
    about.h
    drumgrid.h
    drumgridmodel.h
    iconutils.h
    kmetronome.h
    kmetropreferences.h
    lcdnumberview.h
    sequenceradapter.h
    defs.h
    instrument.h
    helpwindow.h
    about.cpp
    drumgrid.cpp
    drumgridmodel.cpp
    iconutils.cpp
    instrument.cpp
    kmetronome.cpp
    kmetropreferences.cpp
    lcdnumberview.cpp
    main.cpp
    sequenceradapter.cpp
    helpwindow.cpp
    about.ui
    drumgrid.ui
    kmetronome.ui
    kmetropreferencesbase.ui
    kmetronome.qrc
    lcdnumbers.qrc
    ../data/datafiles.qrc
    ../doc/docs.qrc
    ${APP_RES}
    ${QT_RES}
)

qt5_add_dbus_adaptor( kmetronome_SRCS 
    net.sourceforge.kmetronome.xml
    kmetronome.h
    KMetronome
    kmetronome_adaptor
)

set_property(SOURCE kmetronome_adaptor.h kmetronome_adaptor.cpp
    PROPERTY SKIP_AUTOGEN ON)

add_executable( kmetronome ${kmetronome_SRCS} )

target_link_libraries( kmetronome
    Qt5::Widgets
    Qt5::DBus
    Qt5::Svg
    Drumstick::ALSA
)

target_compile_definitions( kmetronome PRIVATE
    VERSION=${PROJECT_VERSION}
    $<$<BOOL:${EMBED_TRANSLATIONS}>:TRANSLATIONS_EMBEDDED>
)

install( TARGETS kmetronome
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )

install( FILES net.sourceforge.kmetronome.xml 
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/interfaces )

=== translations/CMakeLists.txt ===
set( TRANSLATIONS
     kmetronome_cs.ts
     kmetronome_de.ts
     kmetronome_es.ts
     kmetronome_fr.ts
     kmetronome_tr.ts )

qt5_add_translation(QM_FILES ${TRANSLATIONS})

add_custom_target(translations ALL DEPENDS ${QM_FILES})

install( FILES ${QM_FILES}
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kmetronome/translations/ )

=== debian/changelog ===
kmetronome (1.2.0-2~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 05 Oct 2021 00:02:42 -0400

kmetronome (1.2.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Sep 2021 22:16:51 +0200

kmetronome (1.2.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Repository.

  [ Dennis Braun ]
  * New upstream version 1.2.0
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump libdrumstick-dev B-D to version 2.0.0
  * Bump S-V to 4.5.1
  * Use https protocol for homepage
  * Set RRR: no
  * Remove comments from watch file and bump to version 4
  * d/copyright: Use https protocol for source url
  * Update d/copyright year
  * d/copyright: Remove obsolete entry of cmake_admin/FindPCHSupport.cmake
  * Add Bug-Database, Bug-Submit & Repository-Browse fields to
    d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 08 Jan 2021 00:07:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: kmetronome
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Arnout Engelen <arnouten@bzzt.net>,
- Ross Gammon <rosco2@ubuntu.com>
+ Ross Gammon <rosco2@ubuntu.com>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  chrpath,
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qtbase5-dev,
  libqt5svg5-dev,
  qttools5-dev,
  qttools5-dev-tools,
  libasound2-dev,
- libdrumstick-dev (>= 1.0.2),
+ libdrumstick-dev (>= 2.0.0-1~),
  pkg-config
-Standards-Version: 4.4.1
-Homepage: http://kmetronome.sourceforge.net/kmetronome.shtml
+Standards-Version: 4.5.1
+Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
 Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
+Rules-Requires-Root: no
 
 Package: kmetronome
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym
